Skip to main content
GET
/
v1
/
tiktok
/
videos
/
{videoId}
/
transcripts
/
{language}
Get video transcript
curl --request GET \
  --url https://api.konbiniapi.com/v1/tiktok/videos/{videoId}/transcripts/{language} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "@context": [
      "https://www.w3.org/ns/activitystreams#",
      "https://konbiniapi.com/ns/social#"
    ],
    "type": "Document",
    "id": "https://www.tiktok.com/@khaby.lame/video/7611615657754381599",
    "url": "https://v16-webapp.tiktok.com/video/tos/useast2a/subtitle/...",
    "mediaType": "text/vtt",
    "language": "en",
    "content": "WEBVTT\n\n00:00:00.000 --> 00:00:02.000\nHello everyone",
    "size": 1024,
    "source": "ASR"
  }
}

Authorizations

Authorization
string
header
required

Send your API key in the Authorization header as a Bearer token. Example: Authorization: Bearer <your-api-key>

Path Parameters

videoId
string
required

TikTok video ID

language
enum<string>
required

BCP47 language code

Available options:
ar-SA,
az-AZ,
ca-ES,
ceb-PH,
cs-CZ,
da-DK,
de-DE,
en-US,
es-ES,
et-EE,
fi-FI,
fil-PH,
fr-FR,
ga-IE,
he-IL,
hr-HR,
id-ID,
it-IT,
ja-JP,
ko-KR,
lv-LV,
lt-LT,
ms-MY,
nb-NO,
nl-NL,
pl-PL,
pt-PT,
ru-RU,
sw-SW,
sv-SE,
th-TH,
uk-UA,
vi-VN,
zh-Hans-CN,
zh-Hant-CN

Response

Returns the transcript in Document format or raw WebVTT

data
object
required